package lifecam

import (
	"image"
	"os"

	"github.com/disintegration/imaging"
)

func getImageBounds(img image.Image) (w, h int) {
	edges := img.Bounds().Max
	return edges.X, edges.Y
}

func getImageSize(path string) (w, h int, err error) {
	file, err := os.Open(path)
	if err != nil {
		return
	}
	defer file.Close()

	img, err := imaging.Decode(file, imaging.AutoOrientation(true))
	if err != nil {
		return 0, 0, err
	}

	w, h = getImageBounds(img)
	return w, h, nil
}
